Can't Compile tar-1.22

Chris Staub chris at beaker67.com
Fri Feb 5 00:34:10 PST 2010


On 02/05/2010 03:16 AM, Chris Staub wrote:
> On 02/05/2010 02:23 AM, brown wrap wrote:
>>
>> I was proceeding with the first pass of Version 6.6-rc1 and ran into
>> the above error during the configure phase. I don't find a patch for
>> the tar and the instructions are simply configure and make.
>>
>> Of course if I compile it was root, it finds the library. I had the
>> same problem with tar-1.20.
>>
>
> If this means you are not building tar as root, I doubt that's the cause
> of the error, but it does indicate that it's one area in which you are
> not following the book. How *else* are you deviating from its instructions?

Oops, sorry, seems I assumed that this was in Chapter 6 (mainly due to 
the mention of root), when in fact you forgot to specify. If this is in 
Tar in Chapter 5, it indicates a likely problem with your $PATH or 
something else in your environment, if it's even looking for stuff like 
libselinux. What does the rest of the configure output look like?



More information about the lfs-support mailing list